@warnings
@script motion
expose type, rot as ikreader_03;
selChannel; channelNames;
save: what, io
{
	if(what == SCENEMODE)
		io.writeln(selChannel);
}
load: what, io
{
	if(what == SCENEMODE)
	{
		line = io.read();
		type = selChannel = integer(line);
	}
	setdesc("IK Reader 03  >  ",channelNames[selChannel]);
}
flags
{
	return(AFTERIK);
}
create: ma
{
	type = selChannel = 2;
	obj = ma;
	channelNames[1] = "Rotation.H";
	channelNames[2] = "Rotation.P";
	channelNames[3] = "Rotation.B";
	setdesc("IK Reader 03  >  ",channelNames[selChannel]);
}
process: ma, frame, time
{
	a = ma.get(ROTATION,time);
	if(selChannel == 1)
		rot = a.h;
	if(selChannel == 2)
		rot = a.p;
	if(selChannel == 3)
		rot = a.b;
}
options
{
	reqbegin("IK Reader 03 Options");
	c1 = ctlpopup("Channel to Read",selChannel,channelNames);
	ctlsep();
	ctlrefresh(c1,"refreshSelChannel");
	reqopen();
}
refreshSelChannel: val
{
	type = selChannel = val;
	setdesc("IK Reader 03  >  ",channelNames[selChannel]);
}
